Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl.deploy
Class ReflectionObjectModelResolver

    java.lang.Object
      org.jbpm.runtime.manager.impl.deploy.ReflectionObjectModelResolver

All Implemented Interfaces:
  org.kie.internal.runtime.conf.ObjectModelResolver

    public class ReflectionObjectModelResolver

extends Object
implements org.kie.internal.runtime.conf.ObjectModelResolver

Java reflection based `ObjectModelResolver` that creates class instances using supplied class loader and definition in the object model structure.

Field Summary
`static String` | `ID`

Constructor Summary
`ReflectionObjectModelResolver()`

Method Summary
`boolean` | `accept(String resolverId)`
`protected Class<?>` | `getClassObject(String classname, ClassLoader cl)`
`Object` | `getInstance(org.kie.internal.runtime.conf.ObjectModel model, ClassLoader cl, Map<String,Object> contextParams)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID

    public static final String ID

See Also:
  Constant Field Values

Constructor Detail

### ReflectionObjectModelResolver

    public ReflectionObjectModelResolver()

Method Detail

### getInstance

    public Object getInstance(org.kie.internal.runtime.conf.ObjectModel model,
                              ClassLoader cl,
                              Map<String,Object> contextParams)

  Specified by:
    `getInstance` in interface `org.kie.internal.runtime.conf.ObjectModelResolver`

### accept

    public boolean accept(String resolverId)

  Specified by:
    `accept` in interface `org.kie.internal.runtime.conf.ObjectModelResolver`

### getClassObject

    protected Class<?> getClassObject(String classname,
                                      ClassLoader cl)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.